import { communicationType } from "../../../entity/settings/communicationType";
import { CommunicationTypeViewModel } from "../../../viewmodel/admin/settings/communicationType.models";

export default abstract class CommunicationTypeFactory {
  /**
   * @description map record to communicationType
   * @param {communicationType} record
   * @returns {CommunicationTypeViewModel}
   */
  public static mapToSingle(record: communicationType): CommunicationTypeViewModel {
    return {
      id: record.id,
      type: record.type,
      fields: record.useColumns,
    };
  }

  /**
   * @description map records to communicationType
   * @param {Array<communicationType>} records
   * @returns {Array<CommunicationTypeViewModel>}
   */
  public static mapToBase(records: Array<communicationType>): Array<CommunicationTypeViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
